/// <reference types="node" />
import { AccessController } from "./access-controller.js";
import { PlatformAccessory } from "homebridge";
export declare class AccessMqtt {
    private config;
    private controller;
    private isConnected;
    private log;
    private mqtt;
    private subscriptions;
    private udaApi;
    constructor(controller: AccessController);
    private configure;
    publish(accessory: PlatformAccessory | string, topic: string, message: string): void;
    subscribe(accessory: PlatformAccessory | string, topic: string, callback: (cbBuffer: Buffer) => void): void;
    subscribeGet(accessory: PlatformAccessory, topic: string, type: string, getValue: () => string): void;
    subscribeSet(accessory: PlatformAccessory, topic: string, type: string, setValue: (value: string) => void): void;
    unsubscribe(accessory: PlatformAccessory | string, topic: string): void;
    private expandTopic;
}
