import { API, DynamicPlatformPlugin, Logging, PlatformAccessory, PlatformConfig } from "homebridge";
import { AccessOptions } from "./access-options.js";
export declare class AccessPlatform implements DynamicPlatformPlugin {
    accessories: PlatformAccessory[];
    readonly api: API;
    readonly config: AccessOptions;
    private readonly controllers;
    private featureOptionDefaults;
    readonly featureOptions: string[];
    readonly log: Logging;
    constructor(log: Logging, config: PlatformConfig, api: API);
    configureAccessory(accessory: PlatformAccessory): void;
    private launchControllers;
    featureOptionDefault(option: string): boolean;
    debug(message: string, ...parameters: unknown[]): void;
}
